# class Tk::BWidget::LabelFrame

### Constants

TkCommandNames
WidgetClassName

### Public Class Methods

align(*args) click to toggle source

    # File lib/tkextlib/bwidget/labelframe.rb, line 39
    def self.align(*args)
      tk_call('LabelFrame::align', *args)
    end

### Public Instance Methods

get_frame(&b) click to toggle source

    # File lib/tkextlib/bwidget/labelframe.rb, line 42
    def get_frame(&b)
      win = window(tk_send_without_enc('getframe'))
      if b
        if TkCore::WITH_RUBY_VM  ### Ruby 1.9 !!!!
          win.instance_exec(self, &b)
        else
          win.instance_eval(&b)
        end
      end
      win
    end

### Private Instance Methods

__boolval_optkeys() click to toggle source
Calls superclass method TkConfigMethod#__boolval_optkeys

    # File lib/tkextlib/bwidget/labelframe.rb, line 29
    def __boolval_optkeys
      super() << 'dragenabled' << 'dropenabled'
    end

__strval_optkeys() click to toggle source
Calls superclass method TkConfigMethod#__strval_optkeys

    # File lib/tkextlib/bwidget/labelframe.rb, line 24
    def __strval_optkeys
      super() << 'helptext'
    end

__tkvariable_optkeys() click to toggle source
Calls superclass method TkConfigMethod#__tkvariable_optkeys

    # File lib/tkextlib/bwidget/labelframe.rb, line 34
    def __tkvariable_optkeys
      super() << 'helpvar'
    end